%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   libwww-perl
%define modv   5.827


Summary:       A Perl interface to the World-Wide Web
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Gisle Aas <gisle@ActiveState.com>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      perl(Compress::Zlib) >= 1.10
Requires:      perl(HTML::Parser) >= 3.33
Requires:      perl(IO::Socket::INET)
Requires:      perl(Net::FTP) >= 2.58
Requires:      perl(Net::SSL)
BuildRequires: perl >= 5.6
BuildRequires: perl(Carp)
BuildRequires: perl(Compress::Bzip2)
BuildRequires: perl(Compress::Zlib) >= 1.10
BuildRequires: perl(Config)
BuildRequires: perl(Crypt::SSLeay)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTML::Parser) >= 3.33
BuildRequires: perl(HTML::Tagset)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(MIME::Base64) >= 2.1
BuildRequires: perl(Net::FTP) >= 2.58
BuildRequires: perl(Socket)
BuildRequires: perl(Test)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI) >= 1.10
BuildArch:     noarch


%description
The libwww-perl collection is a set of Perl modules which provides a
simple and consistent application programming interface to the World-
Wide Web. The main focus of the library is to provide classes and
functions that allow one to write WWW clients. The library also has
modules that are of more general use and even classes that help one
to implement simple HTTP servers.


%prep
%setup -q -n %{modn}-%{modv}

# Filter requires 
%{__cat} << \_EOF_ >%{name}-req
#!/bin/sh
%{__perl_requires} $* | \
	%{__sed} -e '/perl(HTTP::GHTTP)/d' \
		 -e '/perl(Win32)/d'
_EOF_

%define __perl_requires %{_builddir}/%{modn}-%{modv}/%{name}-req
%{__chmod} +x %{name}-req


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{?el3:%{__rm} t/base/message-charset.t t/html/form.t}
%{?el4:%{__rm} t/base/message-charset.t}
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS Changes README*
%{_bindir}/lwp-download
%{_bindir}/lwp-dump
%{_bindir}/lwp-mirror
%{_bindir}/lwp-request
%{_bindir}/lwp-rget
%{perl_vendorlib}/Bundle
%{perl_vendorlib}/File
%{perl_vendorlib}/HTML
%{perl_vendorlib}/HTTP
%{perl_vendorlib}/LWP
%{perl_vendorlib}/Net
%{perl_vendorlib}/WWW
%{perl_vendorlib}/LWP.pm
%{perl_vendorlib}/lwpcook.pod
%{perl_vendorlib}/lwptut.pod
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
* Fri Jun 26 2009 Peter Pramberger <peterpramb@member.fsf.org> - 5.827-1
- Initial build
